Partner
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get CPA Stats
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
userId*string
Identifier of the partner user whose CPA stats are requested
Format
uuidstartTime?string
Start of the reporting window (inclusive)
Format
date-timeendTime?string
End of the reporting window (inclusive)
Format
date-timecpaProgramId?string
Optional CPA program used to scope the stats
Format
uuidcpaPaymentPlanId?string
Optional CPA payment plan used to scope the qualified count and reward earned
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/partner/cpa-stats?userId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "report": { "aggregation": { "registrations": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "kyc": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "firstTimeDeposit": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "qualified": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "pending": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "rewardEarned": { "actualValue": "string", "absoluteChange": "string", "currency": "string" } } }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}